Name: wmakerconf
Version: 1.1.1
Release: 3
%define DATAVER 0.20.0
Summary: This is a GTK-based configuration tool for WindowMaker
Group: X11/Window Managers
Copyright: GPL
Source0: http://www-info2.informatik.uni-wuerzburg.de/staff/ulli/wmakerconf/wmakerconf-1.1.1.tar.gz
Source1: wmakerconf-libPropList.tar.gz
Source2: http://www-info2.informatik.uni-wuerzburg.de/staff/ulli/wmakerconf/wmakerconf-data-%{DATAVER}.tar.gz
Requires: WindowMaker, perl
BuildRoot: /var/tmp/wmakerconf-root

%description
wmakerconf is a GTK+ based configuration tool for the window manager
WindowMaker.

Support of all WindowMaker attributes: Font selection browser, pixmap
preview browser, color selection dialog, shortcut dialog, file selection
dialog, ... 

Tooltips with short description of every attribute. 

New attributes can be simply integrated by changing the wmakerconf proplist

%prep
%setup -q -a 1 -a 2

%build
cd libPropList
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr
make
cd ..
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--with-wmakerdir=/usr/share/WindowMaker --disable-gtktest \
	--x-includes=libPropList --x-libraries=libPropList
make
cd wmakerconf-data-%{DATAVER}
./configure --prefix=/usr --with-wmakerdir=/usr/share/WindowMaker
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
make install  -C wmakerconf-data-%{DATAVER} prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
/usr/bin/*
/usr/share/wmakerconf

%changelog
* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
